ValueChangeEvent

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.form.model.client
Class ValueChangeEvent

    java.lang.Object
      java.util.EventObject
          org.openswing.swing.form.model.client.ValueChangeEvent

All Implemented Interfaces:
  java.io.Serializable

public class ValueChangeEvent
extends java.util.EventObject

Title: OpenSwing Framework

Description: Form controller, used to listener events generated by the Form panel and to execute operations related to the form (for example loading data).

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`ValueChangeEvent(java.lang.Object source, java.lang.String attributeName, java.lang.Object oldValue, java.lang.Object newValue)` Value change event for the specified value object attribute name.

Method Summary
`java.lang.String` | `getAttributeName()`
`java.lang.Object` | `getNewValue()`
`java.lang.Object` | `getOldValue()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueChangeEvent

    public ValueChangeEvent(java.lang.Object source,
                            java.lang.String attributeName,
                            java.lang.Object oldValue,
                            java.lang.Object newValue)

  Value change event for the specified value object attribute name.

Parameters:
  `source` - source component
  `attributeName` - attribute name in the vlaue object
  `oldValue` - old attribute value
  `newValue` - new attribute value

Method Detail

### getAttributeName

    public final java.lang.String getAttributeName()

  Returns:
    attribute name in the vlaue object

### getNewValue

    public final java.lang.Object getNewValue()

  Returns:
    old attribute value

### getOldValue

    public final java.lang.Object getOldValue()

  Returns:
    new attribute value

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD